Subject: Re: Finding file revisions

From: Simon Fowler <[email-masked]>
Date: Thu, 28 Apr 2005 23:13:50 +1000

On Thu, Apr 28, 2005 at 07:56:57AM -0400, Chris Mason wrote:
> On Thursday 28 April 2005 04:41, Simon Fowler wrote:
> > I've got a version of this written in C that I've been working on
> > for a bit - some example output:
> >
> > +040000 tree    bfb75011c32589b282dd9c86621dadb0f0bb3866        ppc
> > +100644 blob    5ba4fc5259b063dab6417c142938d987ee894fc0        ppc/sha1.c
> > +100644 blob    c3c51aa4d487f2e85c02b0257c1f0b57d6158d76        ppc/sha1.h
> > +100644 blob    e85611a4ef0598f45911357d0d2f1fc354039de4       
> > ppc/sha1ppc.S commit
> > b5af9107270171b79d46b099ee0b198e653f3a24->a6ef3518f9ac8a1c46a36c8d27173b1f7
> >3d839c4
> >
> > You run it as:
> > find-changes commit_id file_prefix ...
> >
> > The file_prefix is a path prefix to match - it's not as flexible as
> > regexes, but it shouldn't be too much less useful.
> 
> I dropped the regexes for speed with diff-tree, they weren't that important to 
> me...The features I was going for are:
> 
> 1) ability to see the changeset comments in the output.

I'll add a -v option tomorrow (it's 11pm here) to show the commit
comments in the output, if you like the idea.

> 3) Some quick cut n' paste method to generate the changeset diff.  This is why 
> I do diff-tree -r in the output, so I can just copy into a different window 
> and go.
> 
Would the two commit sha1s space seperated, rather than with the
'->', be better for that? I'm a little reluctant to have it output
the full 'diff-tree -r' thing, since it's inconsistent with the
other tools. 

Simon

-- 
PGP public key Id 0x144A991C, or http://himi.org/stuff/himi.asc
(crappy) Homepage: http://himi.org
doe #237 (see http://www.lemuria.org/DeCSS) 
My DeCSS mirror: ftp://himi.org/pub/mirrors/css/